from Globals import HTMLFile
import OFS.ObjectManager
from OFS.Folder import Folder
import sqlCatalog

class Catalogs(OFS.ObjectManager.ObjectManager):
    """The purpose of this class it to manage multiple catalogs.
    in the future this class will automatically load different
    plugin catalog types automatically but for now you must edit
    this file by hand. =(
    """
    all_meta_types=meta_types = ({'name': 'SQL Catalog',	
				  'action': 'manage_addSQLCatalogForm', 
				  },)
                                      
    manage_options = ({'label':'Contents',   'action':'../manage_main'},
                      {'label':'Catalogs',   'action':'manage_main'},
                      {'label':'Sessions',   'action':'manage_sessions'}, 
                      {'label':'Import/Export', 'action':'manage_importExportForm'},
                      {'label':'Properties', 'action':'manage_propertiesForm'},
		      {'label':'About',      'action':'manage_about', 'target':'_top'} 
                      )

    id = 'catalogs'

    # initialize the SQL Catalog
    manage_addSQLCatalogForm = HTMLFile('dtml/addSQLCatalogForm', globals())
    def manage_addSQLCatalog(self, id, conn_id, title='', REQUEST=None):
	"""Add a SQL Catalog"""

	catalog = sqlCatalog.sqlCatalog(id, conn_id, title)
	self._setObject(id, catalog)

	if REQUEST is not None: 
	    # Display the catalog list
	    return self.manage_main(self,REQUEST)
        
    
