from Globals import Persistent
from Acquisition import Implicit
from zCommerce import makeUID, NotImplemented

class OrderEntry(Persistent, Implicit):
    """This item is a snapshot of an inventory item at the time it is purchased."""

    __allow_access_to_unprotected_subobjects__=1

    def __init__(self, product, quantity):
	self.id = makeUID()
	self.sku = product.sku
	self.quantity = quantity
	self.price = product.price
