from Products.Session.Session import SessionInstance
from Globals import HTMLFile, Persistent, PersistentMapping
from OrderItem import OrderItem
from Order import Order

class ShoppingSession(SessionInstance):
    def __init__(self, id, user):
	SessionInstance.__init__(self, id, user)


    def listOrderEntries(self):
	return self.CartStorage.queryObjects("sku='aaa'")
    
    def setOrderEntry(self, sku, quantity):
	quantity = int(quantity)
	cart_storage = self.CartStorage

	order_entry = cart_storage.getObject(sku)
	if order_entry:
	    if quantity == 0:
		cart_storage.deleteObjects(sku)
	    else:

		# !This problem calls for a Jim Style comment!
		# Waa, this of course won't work on a result
		# object because you can only set attributes if they
		# are already in the __record_schema__
		# order_entry.quantity = quantity  
		cart_storage.updateObject(sku, order_entry)
	else:
	    if quantity: 
		# It doesn't make sense to order 0 items.
		# Maybe in the future we can raise an error instead of
		# silently ignoring it.
		new_entry = OrderItem(self.getProduct(sku), 
				      quantity).__of__(self)
		
		cart_storage.addObject(new_entry.sku, new_entry)
