from Globals import HTMLFile, Persistent, PersistentMapping
from Acquisition import Implicit
from zCommerce import makeUID, NotImplemented

ORDER_STATUS_CART = 'CART'


class Order(Implicit):

    __allow_access_to_unprotected_subobjects__=1

    def __init__(self, customer):
	self.id = makeUID()

	self.status = ORDER_STATUS_CART
	self.customer = customer

	self.date            = ""
	self.payment_method  = ""
	self.delivery_method = ""
	self.billto_fullname = ""
	self.billto_address1 = ""
	self.billto_address2 = ""
	self.billto_city     = ""
	self.billto_state    = ""
	self.billto_zip      = ""
	self.billto_country  = ""
	self.shipto_fullname = ""
	self.shipto_address1 = ""
	self.shipto_address2 = ""
	self.shipto_city     = ""
	self.shipto_state    = ""
	self.shipto_zip      = ""
	self.shipto_country  = ""
	self.cc_num          = ""
	self.cc_exp          = ""


    def addOrderEntry(self, object):
	raise NotImplemented('addOrderEntry', self)

    def getOrderEntry(self, object_id):
	raise NotImplemented('getOrderEntry', self)

    def updateOrderEntry(self, object):
	raise NotImplemented('updateOrderEntry', self)

    def deleteOrderEntries(self, object_ids):
	raise NotImplemented('deleteOrderEntries', self)

    def listOrderEntries(self):
	raise NotImplemented('listOrderEntries', self)


