# This file is a place to keep demo content for stores.
# TODO: Give a better description than this.


from OFS.DTMLMethod import DTMLMethod

def demo(self):
    # Import the example content from our export file.

#    self.manage_importObject(file='content.zexp')

    self._setObject('index_html', DTMLMethod(_index_html, __name__='index_html'))
    self._setObject('addItemsToCart', DTMLMethod(_addItemsToCart, __name__='addItemsToCart'))
    self._setObject('showCart', DTMLMethod(_showCart, __name__='showCart'))



_index_html="""\
<dtml-var standard_html_header>

<dtml-if user>
 Welcome back <dtml-var user>.
</dtml-if>

<form action="addItemsToCart">

<dtml-search>
  category='0'
<dtml-results>
<input type="hidden" name="item&dtml-sequence-index;.sku:record" value="&dtml-sku;">
&dtml-sku; - &dtml-description; 
<input type="text" name="item&dtml-sequence-index;.quantity:record" ><br>
</dtml-search>
<input type="submit">
</form>

<a href="showCart">Show cart</a>

<dtml-var standard_html_footer>
"""

_addItemsToCart="""\
<dtml-var standard_html_header>


<dtml-in "REQUEST.form.items()">

<dtml-let key=sequence-key item=sequence-item >
  <dtml-if "key[0:4] == 'item' and item.quantity">

    <dtml-call "setOrderEntry(item.sku, item.quantity)">

  </dtml-if>
</dtml-let>

</dtml-in>

<dtml-var showCart>

<dtml-var standard_html_footer>
"""

_showCart="""\
<dtml-var user>'s Cart<br>

<ul>
<dtml-in listOrderEntries>
  <li>&dtml-quantity; &dtml-sku; @ &dtml-price;</li>
</dtml-in>
</ul>
"""
